
#include <KIcon>
#include <KIconLoader>
#include <KLocale>

#include <QHBoxLayout>
#include <QLabel>
#include <QLineEdit>
#include <QToolButton>

#include "menusearch.h"

MenuSearch::MenuSearch(QWidget *parent):
    QWidgetAction(parent)
{
    QWidget *w = new QWidget(parent);
    QLabel *lbl = new QLabel(w);
    lbl->setText(i18nc("Label of the search bar textedit", "Search:"));
    QLineEdit *edit = new QLineEdit(w);
    QToolButton *clr = new QToolButton(w);
    clr->setIcon(KIcon("edit-clear"));
    clr->setAutoRaise(true);
    QHBoxLayout *l = new QHBoxLayout(w);
    l->setSpacing(0);
    l->addWidget(lbl);
    l->addWidget(edit);
    l->addWidget(clr);
    setDefaultWidget(w);

    connect(edit, SIGNAL(textChanged(const QString&)), this, SIGNAL(queryChanged(const QString&)));
    connect(clr, SIGNAL(clicked()), edit, SLOT(clear()));
}


MenuSearch::~MenuSearch()
{}
